\documentclass{article}


%%% Packages %%%

\usepackage{amsmath, amsfonts, amsthm, amssymb}
\usepackage{bm} %for \mathbm = fat math font
\usepackage{bbold} %to write unite matrix as double 1's with
                   %\mathbb{1}
\usepackage{tensor} %to have tensor indices appear in order:
                    %\tensor{R}{^a_b} vs R^a_b
\usepackage{color}
\usepackage{shadowtext} %for fonts with shadows
%\usepackage{multicol} %for multiple columns
\usepackage{ytableau} 
\usepackage{xcolor}

% Tikz %
\usepackage{tikz}
\usepackage{tkz-euclide}
\usetkzobj{all}							% loads all objects used by tkz-euclide
\usetikzlibrary{shapes}
\usetikzlibrary{decorations.markings}
\usetikzlibrary{decorations.pathmorphing} %need for gluon coil
\usetikzlibrary{shapes.misc}
\usetikzlibrary{backgrounds}
% declare layers
\pgfdeclarelayer{background}
\pgfdeclarelayer{foreground}
\pgfsetlayers{background,main,foreground}
\usetikzlibrary{fit}
\usetikzlibrary{matrix,arrows,decorations} %for equations with arrows above
\usetikzlibrary{decorations.pathreplacing,calc}
\usetikzlibrary{positioning,decorations.text} % for bent arrows with
                                % text above them
\usetikzlibrary{arrows.meta,bending}
\usetikzlibrary{fadings}
\usetikzlibrary{matrix,decorations.pathmorphing}
\usepgflibrary{decorations.footprints} %for footprint markings
\usetikzlibrary{math,calc} % I've added the math library to Judith's code
\usetikzlibrary{intersections}   % added the intersections library to Judith's code - so we can make lines intersect other lines easily
\listfiles

%%%% added by Jon %%%%%%%%

\tikzset{samples=500} % for parametric plotting, defines how "smooth" the plots are

\tikzmath{
  \x1 = -1/2;  \x2 = 1/2;
  \r1 = 1/3; \r2 = 1/6;
  \R1 = 1/2; \R2 = 1/2;
  \q1 = \R2 / (\R1 + \R2);
  \q2 = \R1 / (\R1 + \R2);
  \s = 1/12;
  \aa = 1.5; % scales length of trace loops
  \bb = .1; % scales width of trace loops ( \bb < 1 means wider )
}


%%	%%		the next two \tikzset 's draw triangles "triangleup" and "triangledown" for us to use in trace loops 		%%%%

\tikzset{
    triangleup/.style={
        draw,
        %shape border rotate=180,
        regular polygon,
        regular polygon sides=3,
        fill=yellow,
        node distance=2mm,
        minimum height=2mm
    }
}
\tikzset{
    triangledown/.style={
        draw,
        shape border rotate=180,
        regular polygon,
        regular polygon sides=3,
        fill=yellow,
        node distance=2mm,
        minimum height=2mm
    }
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\input{TexDocPackages.tex}

\usetikzlibrary{external}

\tikzset{every picture/.style={inner sep=0,outer sep=0,line width=0.75pt
}}

\tikzexternalize[prefix=tikz/]								%where to store images
%\tikzset{external/mode=graphics if exists}         %only generate image if it doesn't already exist (not sure how to make this work)


% the following packages and equations are needed to nicely center images
\usepackage{pbox}
\newcommand{\FPic}[2][{}]{\hspace{-0.25mm}\pbox{\textwidth}{\includegraphics[#1]{{tikz/#2}}}\hspace{-0.25mm}} 
%\newcommand{\FPic}[1]{\raisebox{-0.35\height}{\hspace{-0.27mm}\includegraphics{#1}\hspace{-0.27mm}}}


\begin{document}
\input{PDFtikzstyledefs.tex}

%%
%%% Gluon Total Symmetrizer Narrow %%
%%
%
\tikzsetnextfilename{GlSym12N}{\tikz[anchor=base, yscale=0.5, xscale=0.5,
  shift={(0,-0.8)}]{
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\draw[gluondot](L1)--(R1);
\draw[gluondot](L2)--(R2);
\draw[symmetrizer](-0.3,1.3)rectangle(0.3,-1.3);
}}
%


%%
%%% Gluon Total Anti-Symmetrizer Narrow%%
%%

\tikzsetnextfilename{GlASym12N}{\tikz[anchor=base, yscale=0.5, xscale=0.5,
  shift={(0,-0.8)}]{
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\draw[gluondot](L1)--(R1);
\draw[gluondot](L2)--(R2);
\draw[antisymmetrizer](-0.3,1.3)rectangle(0.3,-1.3);
}}


%%
%%% Gluon Singlet %%
%%

\tikzsetnextfilename{GlSinglet}{\tikz[anchor=base, yscale=0.5, xscale=0.5,
  shift={(0,-0.8)}]{
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
\coordinate(L1)at(-1.5,1);
\coordinate(L2)at(-1.5,-1);
\coordinate(R1)at(1.5,1);
\coordinate(R2)at(1.5,-1);
\draw[gluondot](L1)arc(90:-90:1 and 1);
\draw[gluondot](R1)arc(90:270:1 and 1);
}}







\tikzsetnextfilename{iFabc}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(ML)at(-1,0) ;
\coordinate(MR)at(0,0);
%
\draw[gluondot](R1)arc(90:270:1 and 1);
\draw[gluondot](ML)--(MR);
\draw[Fabc](MR)circle(0.25);
}}

%%%%%			previous + coordinates		%%%%%

\tikzsetnextfilename{iFabcwcoords}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\coordinate(L1)at(-1.5,1);
\coordinate(L2)at(-1.5,-1);
\coordinate(R1)at(1.5,1);
\coordinate(R2)at(1.5,-1);
%
\coordinate(ML)at(-1.5,0) ;
\coordinate(MR)at(1.5,0);
%
\node[label={left:$k$}] at ($(ML)$) {};
\node[label={right:$a_1$}] at ($(R1)$) {};
\node[label={right:$a_2$}] at ($(R2)$) {};
%
\node (fig1) at (0,0) {\FPic{iFabc}};
}}

\tikzsetnextfilename{Dabc}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(ML)at(-1,0) ;
\coordinate(MR)at(0,0);
%
\draw[gluondot](R1)arc(90:270:1 and 1);
\draw[gluondot](ML)--(MR);
\draw[Dabc,thick](MR)circle(0.25);
}}


\tikzsetnextfilename{iFabcdagger}{\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(ML)at(0,0) ;
\coordinate(MR)at(1,0);
%
\draw[gluondot](L1)arc(90:-90:1 and 1);
\draw[gluondot](ML)--(MR);
\draw[Fabc,thick](ML)circle(0.25);
}}

%%%%%			previous + coordinates		%%%%%

\tikzsetnextfilename{iFabcdaggerwcoords}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\coordinate(L1)at(-1.5,1);
\coordinate(L2)at(-1.5,-1);
\coordinate(R1)at(1.5,1);
\coordinate(R2)at(1.5,-1);
%
\coordinate(ML)at(-1.5,0) ;
\coordinate(MR)at(1.5,0);
%
\node[label={right:$k$}] at ($(MR)$) {};
\node[label={left:$a_1$}] at ($(L1)$) {};
\node[label={left:$a_2$}] at  ($(L2)$) {};
%
\node (fig1) at (-0,0) {\FPic{iFabcdagger}};
}} 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{Dabcdagger}{\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(ML)at(0,0) ;
\coordinate(MR)at(1,0);
%
\draw[gluondot](L1)arc(90:-90:1 and 1);
\draw[gluondot](ML)--(MR);
\draw[Dabc,thick](ML)circle(0.25);
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%% here's another way to draw the loop diagrams using parametric plot and calculating the intersectiongs between the diagram and the gluon legs %%%%%%%%%

\tikzsetnextfilename{Jontest}{\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
% plots a figure-eight. \aa and \bb control the height and "width" respectively and are set at the beginning of the document
   \draw [thick,name path=figureeight] plot ({-\aa*sin(\x r)*cos(\x r)/(1+\bb*(sin(\x r)^2)},{\aa*cos(\x r)/(1+\bb*(sin(\x r)^2)});
   % standard coordinates
\coordinate(L1)at(-2,1);
\coordinate(L2)at(-2,-1);
\coordinate(R1)at(2,1);
\coordinate(R2)at(2,-1);
   % Calculate some horizontal paths from the coords that cross the figure-eight, so we can calculate the intersections
\path [name path=lineL1]([shift={(2,0)}]L1)--(L1);
\path [name path=lineL2]([shift={(2,0)}]L2)--(L2);
\path [name path=lineR1]([shift={(-2,0)}]R1)--(R1);
\path [name path=lineR2]([shift={(-2,0)}]R2)--(R2);
% draw dotted lines from the coords to the intersection with the figure-eight
\draw [name intersections={of=figureeight and lineL1}, gluondot] (L1) -- (intersection-1);
\draw [name intersections={of=figureeight and lineL2}, gluondot] (L2) -- (intersection-1);
\draw [name intersections={of=figureeight and lineR1}, gluondot] (R1) -- (intersection-1);
\draw [name intersections={of=figureeight and lineR2}, gluondot] (R2) -- (intersection-1);
% drawing arrows
 \draw[<-](-0.2,\aa)--(0.2,\aa);
 %
  }


%%%%%%%% here's a simple way to draw the loop diagrams %%%%%%%%%


\tikzsetnextfilename{Q8AClockgluonlegs(Jon_version)}{\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
    %
    \coordinate(L1)at(-2,1);
\coordinate(L2)at(-2,-1);
\coordinate(R1)at(2,1);
\coordinate(R2)at(2,-1);
%%
    \draw plot [smooth cycle, tension=1.5] coordinates {([shift={(1,0)}]L1) ([shift={(-1,0)}]R1) ([shift={(1,0)}]L2) ([shift={(-1,0)}]R2)};
%
\draw [gluondot] (L1) -- ([shift={(1,0)}]L1);
\draw [gluondot] (L2) -- ([shift={(1,0)}]L2);
\draw [gluondot] (R1) -- ([shift={(-1,0)}]R1);
\draw [gluondot] (R2) -- ([shift={(-1,0)}]R2);
% drawing arrows
 \node[triangledown] at ([shift={(1.05,0)}]L1) {};%([shift={(1,-.1)}]L1)--([shift={(1,.1)}]L1)};
 \node[triangleup] at ([shift={(1.05,0)}]L2) {};
 \node[triangleup] at ([shift={(-1.05,0)}]R1) {};
 \node[triangledown] at ([shift={(-1.05,0)}]R2) {};
}

%%%%%			loop diagram + coordinates		%%%%%

\tikzsetnextfilename{Q8AClockgluonlegswcoords(Jon_version)}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\coordinate(L1)at(-2.5,1);
\coordinate(L2)at(-2.5,-1);
\coordinate(R1)at(2.5,1);
\coordinate(R2)at(2.5,-1);
%
\node[label={right:$a_1$}] at ($(R1)$) {};
\node[label={right:$a_2$}] at ($(R2)$) {};
\node[label={left:$b_1$}] at ($(L1)$) {};
\node[label={left:$b_2$}] at  ($(L2)$) {};
%
\node (fig1) at (-0,0) {\FPic{Q8AClockgluonlegs(Jon_version)}};
}} 

%%%%%%%%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{Dabc_top_Dabc_bot}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L1)--(M1)--(R1);
\draw[gluondot](L2)--(M2)--(R2);
\draw[gluondot](M1)--(M2);
%
\draw[Dabc,thick](M1)circle(0.25);
\draw[Dabc,thick](M2)circle(0.25);
}}

%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{Dabc_top_iFabc_bot}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L1)--(M1)--(R1);
\draw[gluondot](L2)--(M2)--(R2);
\draw[gluondot](M1)--(M2);
%
\draw[Dabc,thick](M1)circle(0.25);
\draw[Fabc,thick](M2)circle(0.25);
}}

%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{iFabc_top_Dabc_bot}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L1)--(M1)--(R1);
\draw[gluondot](L2)--(M2)--(R2);
\draw[gluondot](M1)--(M2);
%
\draw[Fabc,thick](M1)circle(0.25);
\draw[Dabc,thick](M2)circle(0.25);
}}


%%%%%%%%%%%%%%%%%%%  

\tikzsetnextfilename{iFabc_top_Dabc_bot_leftcrossed}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L1)--(M2)--(R2);
\draw[gluondot](L2)--(M1)--(R1);
\draw[gluondot](M1)--(M2);
%
\draw[Fabc,thick](M1)circle(0.25);
\draw[Dabc,thick](M2)circle(0.25);
}}

%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{Dabc_top_iFabc_bot_rightcrossed}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L2)--(M2)--(R1);
\draw[gluondot](L1)--(M1)--(R2);
\draw[gluondot](M1)--(M2);
%
\draw[Dabc,thick](M1)circle(0.25);
\draw[Fabc,thick](M2)circle(0.25);
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{Dabc_top_Dabc_bot_leftrightcrossed}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L1)--(M2)--(R1);
\draw[gluondot](L2)--(M1)--(R2);
\draw[gluondot](M1)--(M2);
%
\draw[Dabc,thick](M1)circle(0.25);
\draw[Dabc,thick](M2)circle(0.25);
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{iFabc_top_Dabc_bot_leftrightcrossed}{
\tikz[baseline={([yshift=-.5ex]current bounding box.center)}, yscale=0.5, xscale=0.5]{
%
\draw[invisible](0,-1.8)circle(0.01);
\draw[invisible](0,1.8)circle(0.01);
%
\coordinate(L1)at(-1,1);
\coordinate(L2)at(-1,-1);
\coordinate(R1)at(1,1);
\coordinate(R2)at(1,-1);
\coordinate(M1)at(0,1) ;
\coordinate(M2)at(0,-1);
%
\draw[gluondot](L1)--(M2)--(R1);
\draw[gluondot](L2)--(M1)--(R2);
\draw[gluondot](M1)--(M2);
%
\draw[Fabc,thick](M1)circle(0.25);
\draw[Dabc,thick](M2)circle(0.25);
}}














\end{document}